=== lisp/Makefile ===
--- 
+++ 
@@ -147,7 +147,6 @@
 emacspeak-find-dired.elc \
 emacspeak-ftf.elc \
 emacspeak-find-func.elc \
-emacspeak-finder.elc \
 emacspeak-flycheck.elc \
 emacspeak-flyspell.elc \
 emacspeak-folding.elc \
@@ -202,6 +201,8 @@
 emacspeak-pianobar.elc \
 emacspeak-proced.elc \
 emacspeak-py.elc \
+emacspeak-elpy.elc \
+emacspeak-pydoc.elc \
 emacspeak-python.elc \
 emacspeak-re-builder.elc \
 emacspeak-reftex.elc \
@@ -219,7 +220,9 @@
 emacspeak-sigbegone.elc \
 emacspeak-solitaire.elc \
 emacspeak-speedbar.elc \
+ladspa.elc \
 sox.elc \
+soundscape.elc \
 sox-gen.elc \
 emacspeak-sql.elc \
 emacspeak-supercite.elc \
@@ -269,7 +272,7 @@
 
 force:
 
-config: emacspeak-loaddefs.el emacspeak-cus-load.el emacspeak-finder-inf.el
+config: emacspeak-loaddefs.el emacspeak-cus-load.el 
 lint:
 	echo "." |\
 emacs -batch -q \
@@ -277,9 +280,6 @@
 -f elint-directory 
 # }}}
 # {{{build time target --loaddefs
-
-emacspeak-finder-inf.el: force
-	$(EMACS) $(BATCH) -l emacspeak-load-path.el  -l emacspeak-finder.el  -f emacspeak-finder-compile-keywords
 
 emacspeak-loaddefs.el: force
 	echo ";;;Auto generated" > emacspeak-loaddefs.el
@@ -371,3 +371,4 @@
 emacspeak-entertain.elc: emacspeak-entertain.el dtk-speak.elc voice-setup.elc
 emacspeak-eperiodic.elc: emacspeak-eperiodic.el dtk-speak.elc voice-setup.elc
 emacspeak-espn.elc: emacspeak-espn.el dtk-speak.elc
+emacspeak-erc.elc: emacspeak-erc.el dtk-speak.elc voice-setup.elc
