=== debian/changelog ===
emacspeak (44.0+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Bump standards version (no changes)
  * Add dont_install_OUTLOUD_for_now.patch to prevent FTBFS

 -- Paul Gevers <elbrus@debian.org>  Sat, 21 May 2016 14:32:58 +0200

emacspeak (43.0+dfsg-1) unstable; urgency=medium

  * New upstream release
    - No httpspeaker and user-guide documentation anymore
    - Add sox to Recommends as per upstream documentation
  * Use the upstream build and install system to decrease the tracking
    burden in the packaging (adds build-depends on emacs-nox)
  * Bump standards version (no changes)
  * Update Vcs-git field to use https

 -- Paul Gevers <elbrus@debian.org>  Mon, 07 Mar 2016 20:13:40 +0100
