=== lisp/Makefile ===
--- 
+++ 
@@ -85,7 +85,6 @@
 emacspeak-tabulate.elc \
 amixer.elc \
 emacspeak-add-log.elc \
-emacspeak-alsaplayer.elc \
 emacspeak-amark.elc \
 emacspeak-analog.elc \
 emacspeak-ansi-color.elc \
@@ -109,6 +108,7 @@
 emacspeak-calendar.elc \
 emacspeak-cedet.elc \
 emacspeak-checkdoc.elc \
+emacspeak-ciel.elc \
 emacspeak-cmuscheme.elc \
 emacspeak-compile.elc \
 emacspeak-company.elc \
@@ -127,6 +127,8 @@
 emacspeak-ein.elc \
 emacspeak-ediary.elc \
 emacspeak-ediff.elc \
+emacspeak-elisp-refs.elc \
+emacspeak-elscreen.elc \
 emacspeak-eww.elc \
 emacspeak-eclim.elc \
 emacspeak-elfeed.elc \
@@ -134,6 +136,7 @@
 emacspeak-xkcd.elc \
 emacspeak-emms.elc \
 emacspeak-entertain.elc \
+emacspeak-epa.elc \
 emacspeak-eperiodic.elc \
 emacspeak-espn.elc \
 emacspeak-erc.elc \
@@ -169,6 +172,7 @@
 emacspeak-info.elc\
 emacspeak-ispell.elc \
 emacspeak-jabber.elc \
+emacspeak-jade.elc \
 emacspeak-jde.elc \
 emacspeak-js2.elc \
 emacspeak-jss.elc \
@@ -206,12 +210,13 @@
 emacspeak-python.elc \
 emacspeak-re-builder.elc \
 emacspeak-reftex.elc \
+emacspeak-rst.elc \
+emacspeak-related.elc \
 emacspeak-rpm-spec.elc \
 emacspeak-remote.elc \
 emacspeak-rmail.elc \
 emacspeak-rpm.elc  \
 emacspeak-ruby.elc \
-emacspeak-sawfish.elc \
 emacspeak-slime.elc \
 emacspeak-ses.elc \
 emacspeak-setup.el \
@@ -234,6 +239,8 @@
 emacspeak-tdtd.elc \
 emacspeak-tempo.elc \
 emacspeak-tetris.elc \
+emacspeak-threes.elc \
+emacspeak-tide.elc \
 emacspeak-2048.elc \
 emacspeak-texinfo.elc \
 emacspeak-todo-mode.elc \
@@ -253,6 +260,7 @@
 emacspeak-winring.elc \
 emacspeak-woman.elc \
 emacspeak-wizards.elc  \
+emacspeak-wrolo.elc \
 emacspeak-xref.elc \
 emacspeak-xml-shell.elc \
 emacspeak-xslt.elc \
@@ -313,7 +321,6 @@
 mac-voices.elc: mac-voices.el voice-setup.elc 
 espeak-voices.elc: espeak-voices.el voice-setup.elc 
 voice-setup.elc: voice-setup.el acss-structure.elc 
-emacspeak-alsaplayer.elc: emacspeak-alsaplayer.el
 ommacspeak-amark.elc: emacspeak-amark.el
 cd-tool.elc: cd-tool.el
 json-view.elc: json-view.el
@@ -340,6 +347,7 @@
 emacspeak-buff-menu.elc: emacspeak-buff-menu.el dtk-speak.elc voice-setup.elc
 emacspeak-c.elc: emacspeak-c.el dtk-speak.elc voice-setup.elc
 emacspeak-cmuscheme.elc: emacspeak-cmuscheme.el dtk-speak.elc voice-setup.elc
+emacspeak-ciel.elc: emacspeak-ciel.el dtk-speak.elc
 emacspeak-calc.elc: emacspeak-calc.el
 emacspeak-calculator.elc: emacspeak-calculator.el  dtk-speak.elc voice-setup.elc
 emacspeak-calendar.elc: emacspeak-calendar.el dtk-speak.el
@@ -363,12 +371,10 @@
 emacspeak-ein.elc: emacspeak-ein.el dtk-speak.elc voice-setup.elc
 emacspeak-ediary.elc: emacspeak-ediary.el dtk-speak.elc voice-setup.elc
 emacspeak-ediff.elc: emacspeak-ediff.el dtk-speak.elc voice-setup.elc
+emacspeak-elisp-refs.elc: emacspeak-elisp-refs.el dtk-speak.elc voice-setup.elc
+emacspeak-elscreen.elc: emacspeak-elscreen.el dtk-speak.elc voice-setup.elc
 emacspeak-xkcd.elc: emacspeak-xkcd.el dtk-speak.elc
 emacspeak-eclim.elc: emacspeak-eclim.el dtk-speak.elc voice-setup.elc
 emacspeak-elfeed.elc: emacspeak-elfeed.el dtk-speak.elc
 emacspeak-enriched.elc: emacspeak-enriched.el dtk-speak.elc voice-setup.elc
 emacspeak-emms.elc: emacspeak-emms.el dtk-speak.elc
-emacspeak-entertain.elc: emacspeak-entertain.el dtk-speak.elc voice-setup.elc
-emacspeak-eperiodic.elc: emacspeak-eperiodic.el dtk-speak.elc voice-setup.elc
-emacspeak-espn.elc: emacspeak-espn.el dtk-speak.elc
-emacspeak-erc.elc: emacspeak-erc.el dtk-speak.elc voice-setup.elc
