=== debian/changelog ===
emacspeak (45.0+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Update remove_info_from_clean_target.patch

 -- Paul Gevers <elbrus@debian.org>  Fri, 25 Nov 2016 08:39:27 +0100

emacspeak (44.0+dfsg-2) unstable; urgency=medium

  * Add Dutch translation, thanks to Frans Spiesschaert (Closes: #837102)
  * Pre-seed noise creation to build reproducible, thanks for Chris Lamb
    and some other people on Debconf to help debug this issue (twice)
    (Closes: #833395)
  * Switch to espeak-ng as suggested by Samuel Thibault
  * Bump debhelper compat level to 10
  * Add all hardening flags to the build

 -- Paul Gevers <elbrus@debian.org>  Wed, 09 Nov 2016 21:06:21 +0100
