=== debian/control ===
--- 
+++ 
@@ -3,15 +3,15 @@
 Priority: optional
 Maintainer: Debian Accessibility Team <debian-accessibility@lists.debian.org>
 Uploaders: Paul Gevers <elbrus@debian.org>
-Build-Depends: debhelper (>= 9),
-               libespeak-dev,
+Build-Depends: debhelper (>= 10~),
+               libespeak-ng-libespeak-dev,
                po-debconf,
                tcl-dev,
 Build-Depends-Indep: csound, emacs-nox
 Standards-Version: 3.9.8
 Homepage: http://emacspeak.sf.net
-Vcs-browser: https://anonscm.debian.org/cgit/pkg-a11y/emacspeak.git
-Vcs-git: https://anonscm.debian.org/git/pkg-a11y/emacspeak.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-a11y/emacspeak.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-a11y/emacspeak.git
 
 Package: emacspeak
 Architecture: all
