=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg(\d*)// \
  https://github.com/tvraman/emacspeak/releases .*/emacspeak-(\d\S*)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz))) debian debian/get-orig-source.sh
